Bug 618214 - Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data
Summary: Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon30-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-26 12:38 UTC by Rajan Timaniya
Modified: 2013-09-02 07:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 648780 (view as bug list)
Environment:
Last Closed: 2013-09-02 07:17:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (76.36 KB, text/x-log)
2010-07-26 12:38 UTC, Rajan Timaniya
no flags Details
Screenshot (58.36 KB, image/png)
2011-06-23 12:07 UTC, Sunil Kondkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 618265 None None None Never

Description Rajan Timaniya 2010-07-26 12:38:04 UTC
Created attachment 434408 [details]
server log

Description of problem:
Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data ('SNMP protcol version' & 'Trap OID').

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA (build #78) build number: 10888:29722f6

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.3.1 and agent
2) Administration > System Configuration > Settings 
3) Set 'SNMP Server Configuration Properties'
	SNMP Protocol Version: 2c
	Trap OID: 1.3.6.1.4.1.8072.4.0.1
	Community: public
4) Down JON server 2.3.1 (Keep agent running)
5) Upgrade JON 2.3.1 to 2.4 (build #78)
6) Log-in to upgraded JON 2.4 (build #78)
7) Goto Server Settings  >  Installed Plugins  >Server Plugins Configuration > Alert:SNMP
8) Refer Plugin configuration
  
Actual results:
Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data ('SNMP protcol version' & 'Trap OID').

Expected results:
Upgrade JON2.3.1 to 2.4 should not lost 'SNMP Server Configuration Properties' data.

Additional info:
Please refer attached server log.

Comment 1 Heiko W. Rupp 2010-07-26 14:21:34 UTC
Manual upgrade steps for RHQ 3 are documented in https://bugzilla.redhat.com/show_bug.cgi?id=618214

We will re-visit this in master.

Comment 2 Heiko W. Rupp 2010-08-05 11:06:44 UTC
*argh* Comment 1 has the wrong link. This one is the right one: https://bugzilla.redhat.com/show_bug.cgi?id=618265

Comment 3 Heiko W. Rupp 2010-08-06 16:57:03 UTC
Code added in master at version 5b29f99

Comment 4 Rajan Timaniya 2010-08-12 13:31:18 UTC
As discuss with Heiko, the bug will be tested on JON 2.4.1 build, its known issue of JON 2.4

Comment 5 Charles Crouch 2010-11-02 05:08:36 UTC
Needs to be tested as part of JON3

Comment 6 Lukas Krejci 2010-11-23 18:06:13 UTC
QA Failed.

The configuration entries with the settings are persisted using the upgrade code but the rhq_plugin table is never updated with an entry for the snmp-alert plugin and thus the plugin is never associated with the configuration.

Another problem that I can see here is that there are no entries for the server-side plugins in the rhq_plugin table before the RHQ 3 server is started for the first time so the upgrade code will have to insert a new entry in that table and somehow fake the plugins MD5 and binary contents...

Comment 7 Lukas Krejci 2010-12-01 13:39:09 UTC
commit d19c483830aaed8ab154dcb494334ad1e5baab9e
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Dec 1 14:37:47 2010 +0100

    BZ 618214 - Create a temporary entry in RHQ_PLUGIN table for the snmp-alert plugin in case we need to add something to its configuration during db-upgrade.
                Once the server starts up, the temporary entry will get overwritten by the "real stuff".

Comment 8 Lukas Krejci 2010-12-01 14:47:58 UTC
Note that this needs to be tested on both postgres and oracle.

Comment 9 Corey Welton 2011-01-06 15:08:44 UTC
Removing blocker against jon241 version of this bug

Comment 10 Sunil Kondkar 2011-06-23 12:04:00 UTC
Verified this by Upgrading JON2.3.1 to 2.4.1 build (version: 2.4.1.GA build number: 11123:4efbdc8279)

Verified by upgrading on both postgres and oracle.

The details of 'SNMP Server Configuration Properties' data is displayed in Administration->System Configuration->Settings->Configure Server Plugins->Alert Plugin->Alert:SNMP page.

Please refer the attached screenshot.

Marking as verified.

Comment 11 Sunil Kondkar 2011-06-23 12:07:42 UTC
Created attachment 506225 [details]
Screenshot

Comment 12 Heiko W. Rupp 2013-09-02 07:17:47 UTC
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.


Note You need to log in before you can comment on or make changes to this bug.